---
title: "Domain.com.au API: Search | Perceptlayer"
description: "Search from Domain.com.au as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/domain-com-au/search
---

[APIs](https://perceptlayer.com/apis) / [Domain.com.au](https://perceptlayer.com/apis/domain-com-au) / Search

# Domain.com.au: Search

Search from Domain.com.au as JSON. 1 credit per successful call.

GET `/v1/domain-com-au/search`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `mode` | string | Required | buy, rent, sold, new-homes, commercial, rural |
| `suburb` | string | Optional | Up to 80 characters |
| `suburbs[]` | list of string | Optional | Up to 80 characters |
| `region` | string | Optional | Up to 80 characters |
| `state` | string | Optional | Up to 40 characters |
| `postcode` | string | Optional | Up to 10 characters |
| `page` | integer | Optional | Any |
| `property_types[]` | list of string | Optional | House, Apartment, Townhouse, Land, Rural, NewApartments, NewHomeDesigns, NewHouseLand |
| `listing_attributes[]` | list of string | Optional | HasPhotos, HasPrice, HasMatterport, NotUpForAuction, MarkedAsNew, NotUnderContract |
| `min_bedrooms` | integer | Optional | Any |
| `max_bedrooms` | integer | Optional | Any |
| `min_bathrooms` | integer | Optional | Any |
| `max_bathrooms` | integer | Optional | Any |
| `min_carspaces` | integer | Optional | Any |
| `max_carspaces` | integer | Optional | Any |
| `min_price` | integer | Optional | Any |
| `max_price` | integer | Optional | Any |
| `min_land_area` | integer | Optional | Any |
| `max_land_area` | integer | Optional | Any |
| `sold_date_range` | string | Optional | ALL, LAST\_WEEK, LAST\_MONTH, LAST\_THREE\_MONTHS, LAST\_SIX\_MONTHS, LAST\_YEAR, LAST\_TWO\_YEARS |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/domain-com-au/search?mode=buy&suburb=Pyrmont&state=NSW&page=1" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/domain-com-au?try=search#playground) with your own parameters. 1 credit per successful call; failed calls are free.
